import javax.microedition.lcdui.*;
import javax.microedition.lcdui.game.*;

public class MeuGameCanvas extends GameCanvas implements Runnable {

	private Thread motor;

	private boolean ligado = true;

	private int x = 0, y = 0;

	public MeuGameCanvas() {
		super(false);
		motor = new Thread(this);
		motor.start();
	}

	public void run() {
		Graphics g = getGraphics();
		while (ligado) {

			/* determinar a tecla pressionada		*/
			int keyStates = getKeyStates();

			if ((keyStates & RIGHT_PRESSED) != 0) {
				x++;
			} else if ((keyStates & LEFT_PRESSED) != 0) {
				x--;
			} else if ((keyStates & UP_PRESSED) != 0) {
				y--;
			} else if ((keyStates & DOWN_PRESSED) != 0) {
				y++;
			}

			/* limpar o fundo (pintar a branco)		*/
			g.setColor(255, 255, 255);
			g.fillRect(0, 0, getWidth(), getHeight());

			/* desenhar o quadrado na nova posio	*/
			g.setColor(0, 0, 0);
			g.fillRect(x, y, 40, 40);

			flushGraphics();
			try {
				Thread.sleep(100);
			} catch(InterruptedException ie) {
				System.err.println(ie.getMessage());
			}
		}
	}

	public void parar() {
		ligado = false;
		try {
			motor.join();
		} catch (InterruptedException ie) {
			System.err.println(ie.getMessage());
		}
	}
}